/*
 *	spAudio_Plugin.h
 */

#ifndef __SPAUDIO_PLUGIN_H
#define __SPAUDIO_PLUGIN_H

#include <sp/spPluginP.h>
#include <sp/spAudioP.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int spGetNumAudioDriverPluginFromHostData(spPluginHostData host_data);
extern int spGetNumAudioDriverPlugin(void);
extern const char *spGetAudioDriverNamePluginFromHostData(spPluginHostData host_data, int index);
extern const char *spGetAudioDriverNamePlugin(int index);
extern spBool spInitAudioDriverPlugin(spAudio audio, const char *driver_name, void *data);
extern spBool spGetNumAudioDevicePlugin(spAudio audio, int *num_device);
extern const char *spGetAudioDeviceNamePlugin(spAudio audio, int device_index);
extern spBool spSelectAudioDevicePlugin(spAudio audio, int device_index);
extern unsigned long spGetAudioCapsPlugin(spAudio audio);
extern spBool spDisplayAudioOptionDialogPlugin(spAudio audio);
extern spBool spOpenAudioDevicePlugin(spAudio audio, const char *mode);
extern spBool spCloseAudioDevicePlugin(spAudio audio);
extern spBool spSetAudioSampleBitPlugin(spAudio audio);
extern spBool spSetAudioSampleRatePlugin(spAudio audio);
extern spBool spSetAudioChannelPlugin(spAudio audio);
extern spBool spSetAudioBufferSizePlugin(spAudio audio);
extern spBool spSetAudioNumBufferPlugin(spAudio audio);
extern spBool spSetAudioBlockingModePlugin(spAudio audio);
extern spAudioCallbackType spSetAudioCallbackFuncPlugin(spAudio audio);
extern long spReadAudioPlugin(spAudio audio, char *data, long length);
extern long spWriteAudioPlugin(spAudio audio, char *data, long length);
extern spBool spGetAudioOutputPositionPlugin(spAudio audio, spLong *position);
extern spBool spStopAudioPlugin(spAudio audio);
extern spBool spSyncAudioPlugin(spAudio audio);
extern spBool spFreeAudioDriverPlugin(spAudio audio);
extern void spTerminateAudioPlugin(void);
	 
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPAUDIO_PLUGIN_H */
